<template>
  <div class="skeleton-loader" :class="[type]"></div>
</template>

<script>
export default {
  props: {
    type: {
      type: String,
      default: 'default'
    }
  }
};
</script>

<style scoped>
.skeleton-loader {
  background: linear-gradient(90deg, #f0f0f0 25%, #e0e0e0 50%, #f0f0f0 75%);
  background-size: 200% 100%;
  animation: loading 1.5s infinite;
  border-radius: 8px;
}

/* Category Skeleton */
.skeleton-category {
  width: 100px;
  height: 20px;
}

/* Product & Shop Skeleton */
.skeleton-card {
  width: 100%;
  height: 200px;
}

/* Banner Skeleton */
.skeleton-banner {
  width: 100%;
  height: 400px;
}

@keyframes loading {
  0% { background-position: 200% 0; }
  100% { background-position: -200% 0; }
}
</style>
